Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network30.2.28.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
30.2.28.0
Broadcast address
30.2.31.255
First usable
30.2.28.1
Last usable
30.2.31.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 1E021C00 · Integer 503454720 to 503455743
Reverse DNS zones
28.2.30.in-addr.arpa
29.2.30.in-addr.arpa
30.2.30.in-addr.arpa
31.2.30.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011110.00000010.00011100.0000000030.2.28.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00011110.00000010.00011100.0000000030.2.28.0
Broadcast00011110.00000010.00011111.1111111130.2.31.255
Split into smaller subnets/30

30.2.28.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
130.2.28.0/3030.2.28.1 to 30.2.28.230.2.28.32
230.2.28.4/3030.2.28.5 to 30.2.28.630.2.28.72
330.2.28.8/3030.2.28.9 to 30.2.28.1030.2.28.112
430.2.28.12/3030.2.28.13 to 30.2.28.1430.2.28.152
530.2.28.16/3030.2.28.17 to 30.2.28.1830.2.28.192
630.2.28.20/3030.2.28.21 to 30.2.28.2230.2.28.232
730.2.28.24/3030.2.28.25 to 30.2.28.2630.2.28.272
830.2.28.28/3030.2.28.29 to 30.2.28.3030.2.28.312
930.2.28.32/3030.2.28.33 to 30.2.28.3430.2.28.352
1030.2.28.36/3030.2.28.37 to 30.2.28.3830.2.28.392
1130.2.28.40/3030.2.28.41 to 30.2.28.4230.2.28.432
1230.2.28.44/3030.2.28.45 to 30.2.28.4630.2.28.472
1330.2.28.48/3030.2.28.49 to 30.2.28.5030.2.28.512
1430.2.28.52/3030.2.28.53 to 30.2.28.5430.2.28.552
1530.2.28.56/3030.2.28.57 to 30.2.28.5830.2.28.592
1630.2.28.60/3030.2.28.61 to 30.2.28.6230.2.28.632
1730.2.28.64/3030.2.28.65 to 30.2.28.6630.2.28.672
1830.2.28.68/3030.2.28.69 to 30.2.28.7030.2.28.712
1930.2.28.72/3030.2.28.73 to 30.2.28.7430.2.28.752
2030.2.28.76/3030.2.28.77 to 30.2.28.7830.2.28.792
2130.2.28.80/3030.2.28.81 to 30.2.28.8230.2.28.832
2230.2.28.84/3030.2.28.85 to 30.2.28.8630.2.28.872
2330.2.28.88/3030.2.28.89 to 30.2.28.9030.2.28.912
2430.2.28.92/3030.2.28.93 to 30.2.28.9430.2.28.952
2530.2.28.96/3030.2.28.97 to 30.2.28.9830.2.28.992
2630.2.28.100/3030.2.28.101 to 30.2.28.10230.2.28.1032
2730.2.28.104/3030.2.28.105 to 30.2.28.10630.2.28.1072
2830.2.28.108/3030.2.28.109 to 30.2.28.11030.2.28.1112
2930.2.28.112/3030.2.28.113 to 30.2.28.11430.2.28.1152
3030.2.28.116/3030.2.28.117 to 30.2.28.11830.2.28.1192
3130.2.28.120/3030.2.28.121 to 30.2.28.12230.2.28.1232
3230.2.28.124/3030.2.28.125 to 30.2.28.12630.2.28.1272
3330.2.28.128/3030.2.28.129 to 30.2.28.13030.2.28.1312
3430.2.28.132/3030.2.28.133 to 30.2.28.13430.2.28.1352
3530.2.28.136/3030.2.28.137 to 30.2.28.13830.2.28.1392
3630.2.28.140/3030.2.28.141 to 30.2.28.14230.2.28.1432
3730.2.28.144/3030.2.28.145 to 30.2.28.14630.2.28.1472
3830.2.28.148/3030.2.28.149 to 30.2.28.15030.2.28.1512
3930.2.28.152/3030.2.28.153 to 30.2.28.15430.2.28.1552
4030.2.28.156/3030.2.28.157 to 30.2.28.15830.2.28.1592
4130.2.28.160/3030.2.28.161 to 30.2.28.16230.2.28.1632
4230.2.28.164/3030.2.28.165 to 30.2.28.16630.2.28.1672
4330.2.28.168/3030.2.28.169 to 30.2.28.17030.2.28.1712
4430.2.28.172/3030.2.28.173 to 30.2.28.17430.2.28.1752
4530.2.28.176/3030.2.28.177 to 30.2.28.17830.2.28.1792
4630.2.28.180/3030.2.28.181 to 30.2.28.18230.2.28.1832
4730.2.28.184/3030.2.28.185 to 30.2.28.18630.2.28.1872
4830.2.28.188/3030.2.28.189 to 30.2.28.19030.2.28.1912
4930.2.28.192/3030.2.28.193 to 30.2.28.19430.2.28.1952
5030.2.28.196/3030.2.28.197 to 30.2.28.19830.2.28.1992
5130.2.28.200/3030.2.28.201 to 30.2.28.20230.2.28.2032
5230.2.28.204/3030.2.28.205 to 30.2.28.20630.2.28.2072
5330.2.28.208/3030.2.28.209 to 30.2.28.21030.2.28.2112
5430.2.28.212/3030.2.28.213 to 30.2.28.21430.2.28.2152
5530.2.28.216/3030.2.28.217 to 30.2.28.21830.2.28.2192
5630.2.28.220/3030.2.28.221 to 30.2.28.22230.2.28.2232
5730.2.28.224/3030.2.28.225 to 30.2.28.22630.2.28.2272
5830.2.28.228/3030.2.28.229 to 30.2.28.23030.2.28.2312
5930.2.28.232/3030.2.28.233 to 30.2.28.23430.2.28.2352
6030.2.28.236/3030.2.28.237 to 30.2.28.23830.2.28.2392
6130.2.28.240/3030.2.28.241 to 30.2.28.24230.2.28.2432
6230.2.28.244/3030.2.28.245 to 30.2.28.24630.2.28.2472
6330.2.28.248/3030.2.28.249 to 30.2.28.25030.2.28.2512
6430.2.28.252/3030.2.28.253 to 30.2.28.25430.2.28.2552
6530.2.29.0/3030.2.29.1 to 30.2.29.230.2.29.32
6630.2.29.4/3030.2.29.5 to 30.2.29.630.2.29.72
6730.2.29.8/3030.2.29.9 to 30.2.29.1030.2.29.112
6830.2.29.12/3030.2.29.13 to 30.2.29.1430.2.29.152
6930.2.29.16/3030.2.29.17 to 30.2.29.1830.2.29.192
7030.2.29.20/3030.2.29.21 to 30.2.29.2230.2.29.232
7130.2.29.24/3030.2.29.25 to 30.2.29.2630.2.29.272
7230.2.29.28/3030.2.29.29 to 30.2.29.3030.2.29.312
7330.2.29.32/3030.2.29.33 to 30.2.29.3430.2.29.352
7430.2.29.36/3030.2.29.37 to 30.2.29.3830.2.29.392
7530.2.29.40/3030.2.29.41 to 30.2.29.4230.2.29.432
7630.2.29.44/3030.2.29.45 to 30.2.29.4630.2.29.472
7730.2.29.48/3030.2.29.49 to 30.2.29.5030.2.29.512
7830.2.29.52/3030.2.29.53 to 30.2.29.5430.2.29.552
7930.2.29.56/3030.2.29.57 to 30.2.29.5830.2.29.592
8030.2.29.60/3030.2.29.61 to 30.2.29.6230.2.29.632
8130.2.29.64/3030.2.29.65 to 30.2.29.6630.2.29.672
8230.2.29.68/3030.2.29.69 to 30.2.29.7030.2.29.712
8330.2.29.72/3030.2.29.73 to 30.2.29.7430.2.29.752
8430.2.29.76/3030.2.29.77 to 30.2.29.7830.2.29.792
8530.2.29.80/3030.2.29.81 to 30.2.29.8230.2.29.832
8630.2.29.84/3030.2.29.85 to 30.2.29.8630.2.29.872
8730.2.29.88/3030.2.29.89 to 30.2.29.9030.2.29.912
8830.2.29.92/3030.2.29.93 to 30.2.29.9430.2.29.952
8930.2.29.96/3030.2.29.97 to 30.2.29.9830.2.29.992
9030.2.29.100/3030.2.29.101 to 30.2.29.10230.2.29.1032
9130.2.29.104/3030.2.29.105 to 30.2.29.10630.2.29.1072
9230.2.29.108/3030.2.29.109 to 30.2.29.11030.2.29.1112
9330.2.29.112/3030.2.29.113 to 30.2.29.11430.2.29.1152
9430.2.29.116/3030.2.29.117 to 30.2.29.11830.2.29.1192
9530.2.29.120/3030.2.29.121 to 30.2.29.12230.2.29.1232
9630.2.29.124/3030.2.29.125 to 30.2.29.12630.2.29.1272
9730.2.29.128/3030.2.29.129 to 30.2.29.13030.2.29.1312
9830.2.29.132/3030.2.29.133 to 30.2.29.13430.2.29.1352
9930.2.29.136/3030.2.29.137 to 30.2.29.13830.2.29.1392
10030.2.29.140/3030.2.29.141 to 30.2.29.14230.2.29.1432
10130.2.29.144/3030.2.29.145 to 30.2.29.14630.2.29.1472
10230.2.29.148/3030.2.29.149 to 30.2.29.15030.2.29.1512
10330.2.29.152/3030.2.29.153 to 30.2.29.15430.2.29.1552
10430.2.29.156/3030.2.29.157 to 30.2.29.15830.2.29.1592
10530.2.29.160/3030.2.29.161 to 30.2.29.16230.2.29.1632
10630.2.29.164/3030.2.29.165 to 30.2.29.16630.2.29.1672
10730.2.29.168/3030.2.29.169 to 30.2.29.17030.2.29.1712
10830.2.29.172/3030.2.29.173 to 30.2.29.17430.2.29.1752
10930.2.29.176/3030.2.29.177 to 30.2.29.17830.2.29.1792
11030.2.29.180/3030.2.29.181 to 30.2.29.18230.2.29.1832
11130.2.29.184/3030.2.29.185 to 30.2.29.18630.2.29.1872
11230.2.29.188/3030.2.29.189 to 30.2.29.19030.2.29.1912
11330.2.29.192/3030.2.29.193 to 30.2.29.19430.2.29.1952
11430.2.29.196/3030.2.29.197 to 30.2.29.19830.2.29.1992
11530.2.29.200/3030.2.29.201 to 30.2.29.20230.2.29.2032
11630.2.29.204/3030.2.29.205 to 30.2.29.20630.2.29.2072
11730.2.29.208/3030.2.29.209 to 30.2.29.21030.2.29.2112
11830.2.29.212/3030.2.29.213 to 30.2.29.21430.2.29.2152
11930.2.29.216/3030.2.29.217 to 30.2.29.21830.2.29.2192
12030.2.29.220/3030.2.29.221 to 30.2.29.22230.2.29.2232
12130.2.29.224/3030.2.29.225 to 30.2.29.22630.2.29.2272
12230.2.29.228/3030.2.29.229 to 30.2.29.23030.2.29.2312
12330.2.29.232/3030.2.29.233 to 30.2.29.23430.2.29.2352
12430.2.29.236/3030.2.29.237 to 30.2.29.23830.2.29.2392
12530.2.29.240/3030.2.29.241 to 30.2.29.24230.2.29.2432
12630.2.29.244/3030.2.29.245 to 30.2.29.24630.2.29.2472
12730.2.29.248/3030.2.29.249 to 30.2.29.25030.2.29.2512
12830.2.29.252/3030.2.29.253 to 30.2.29.25430.2.29.2552
12930.2.30.0/3030.2.30.1 to 30.2.30.230.2.30.32
13030.2.30.4/3030.2.30.5 to 30.2.30.630.2.30.72
13130.2.30.8/3030.2.30.9 to 30.2.30.1030.2.30.112
13230.2.30.12/3030.2.30.13 to 30.2.30.1430.2.30.152
13330.2.30.16/3030.2.30.17 to 30.2.30.1830.2.30.192
13430.2.30.20/3030.2.30.21 to 30.2.30.2230.2.30.232
13530.2.30.24/3030.2.30.25 to 30.2.30.2630.2.30.272
13630.2.30.28/3030.2.30.29 to 30.2.30.3030.2.30.312
13730.2.30.32/3030.2.30.33 to 30.2.30.3430.2.30.352
13830.2.30.36/3030.2.30.37 to 30.2.30.3830.2.30.392
13930.2.30.40/3030.2.30.41 to 30.2.30.4230.2.30.432
14030.2.30.44/3030.2.30.45 to 30.2.30.4630.2.30.472
14130.2.30.48/3030.2.30.49 to 30.2.30.5030.2.30.512
14230.2.30.52/3030.2.30.53 to 30.2.30.5430.2.30.552
14330.2.30.56/3030.2.30.57 to 30.2.30.5830.2.30.592
14430.2.30.60/3030.2.30.61 to 30.2.30.6230.2.30.632
14530.2.30.64/3030.2.30.65 to 30.2.30.6630.2.30.672
14630.2.30.68/3030.2.30.69 to 30.2.30.7030.2.30.712
14730.2.30.72/3030.2.30.73 to 30.2.30.7430.2.30.752
14830.2.30.76/3030.2.30.77 to 30.2.30.7830.2.30.792
14930.2.30.80/3030.2.30.81 to 30.2.30.8230.2.30.832
15030.2.30.84/3030.2.30.85 to 30.2.30.8630.2.30.872
15130.2.30.88/3030.2.30.89 to 30.2.30.9030.2.30.912
15230.2.30.92/3030.2.30.93 to 30.2.30.9430.2.30.952
15330.2.30.96/3030.2.30.97 to 30.2.30.9830.2.30.992
15430.2.30.100/3030.2.30.101 to 30.2.30.10230.2.30.1032
15530.2.30.104/3030.2.30.105 to 30.2.30.10630.2.30.1072
15630.2.30.108/3030.2.30.109 to 30.2.30.11030.2.30.1112
15730.2.30.112/3030.2.30.113 to 30.2.30.11430.2.30.1152
15830.2.30.116/3030.2.30.117 to 30.2.30.11830.2.30.1192
15930.2.30.120/3030.2.30.121 to 30.2.30.12230.2.30.1232
16030.2.30.124/3030.2.30.125 to 30.2.30.12630.2.30.1272
16130.2.30.128/3030.2.30.129 to 30.2.30.13030.2.30.1312
16230.2.30.132/3030.2.30.133 to 30.2.30.13430.2.30.1352
16330.2.30.136/3030.2.30.137 to 30.2.30.13830.2.30.1392
16430.2.30.140/3030.2.30.141 to 30.2.30.14230.2.30.1432
16530.2.30.144/3030.2.30.145 to 30.2.30.14630.2.30.1472
16630.2.30.148/3030.2.30.149 to 30.2.30.15030.2.30.1512
16730.2.30.152/3030.2.30.153 to 30.2.30.15430.2.30.1552
16830.2.30.156/3030.2.30.157 to 30.2.30.15830.2.30.1592
16930.2.30.160/3030.2.30.161 to 30.2.30.16230.2.30.1632
17030.2.30.164/3030.2.30.165 to 30.2.30.16630.2.30.1672
17130.2.30.168/3030.2.30.169 to 30.2.30.17030.2.30.1712
17230.2.30.172/3030.2.30.173 to 30.2.30.17430.2.30.1752
17330.2.30.176/3030.2.30.177 to 30.2.30.17830.2.30.1792
17430.2.30.180/3030.2.30.181 to 30.2.30.18230.2.30.1832
17530.2.30.184/3030.2.30.185 to 30.2.30.18630.2.30.1872
17630.2.30.188/3030.2.30.189 to 30.2.30.19030.2.30.1912
17730.2.30.192/3030.2.30.193 to 30.2.30.19430.2.30.1952
17830.2.30.196/3030.2.30.197 to 30.2.30.19830.2.30.1992
17930.2.30.200/3030.2.30.201 to 30.2.30.20230.2.30.2032
18030.2.30.204/3030.2.30.205 to 30.2.30.20630.2.30.2072
18130.2.30.208/3030.2.30.209 to 30.2.30.21030.2.30.2112
18230.2.30.212/3030.2.30.213 to 30.2.30.21430.2.30.2152
18330.2.30.216/3030.2.30.217 to 30.2.30.21830.2.30.2192
18430.2.30.220/3030.2.30.221 to 30.2.30.22230.2.30.2232
18530.2.30.224/3030.2.30.225 to 30.2.30.22630.2.30.2272
18630.2.30.228/3030.2.30.229 to 30.2.30.23030.2.30.2312
18730.2.30.232/3030.2.30.233 to 30.2.30.23430.2.30.2352
18830.2.30.236/3030.2.30.237 to 30.2.30.23830.2.30.2392
18930.2.30.240/3030.2.30.241 to 30.2.30.24230.2.30.2432
19030.2.30.244/3030.2.30.245 to 30.2.30.24630.2.30.2472
19130.2.30.248/3030.2.30.249 to 30.2.30.25030.2.30.2512
19230.2.30.252/3030.2.30.253 to 30.2.30.25430.2.30.2552
19330.2.31.0/3030.2.31.1 to 30.2.31.230.2.31.32
19430.2.31.4/3030.2.31.5 to 30.2.31.630.2.31.72
19530.2.31.8/3030.2.31.9 to 30.2.31.1030.2.31.112
19630.2.31.12/3030.2.31.13 to 30.2.31.1430.2.31.152
19730.2.31.16/3030.2.31.17 to 30.2.31.1830.2.31.192
19830.2.31.20/3030.2.31.21 to 30.2.31.2230.2.31.232
19930.2.31.24/3030.2.31.25 to 30.2.31.2630.2.31.272
20030.2.31.28/3030.2.31.29 to 30.2.31.3030.2.31.312
20130.2.31.32/3030.2.31.33 to 30.2.31.3430.2.31.352
20230.2.31.36/3030.2.31.37 to 30.2.31.3830.2.31.392
20330.2.31.40/3030.2.31.41 to 30.2.31.4230.2.31.432
20430.2.31.44/3030.2.31.45 to 30.2.31.4630.2.31.472
20530.2.31.48/3030.2.31.49 to 30.2.31.5030.2.31.512
20630.2.31.52/3030.2.31.53 to 30.2.31.5430.2.31.552
20730.2.31.56/3030.2.31.57 to 30.2.31.5830.2.31.592
20830.2.31.60/3030.2.31.61 to 30.2.31.6230.2.31.632
20930.2.31.64/3030.2.31.65 to 30.2.31.6630.2.31.672
21030.2.31.68/3030.2.31.69 to 30.2.31.7030.2.31.712
21130.2.31.72/3030.2.31.73 to 30.2.31.7430.2.31.752
21230.2.31.76/3030.2.31.77 to 30.2.31.7830.2.31.792
21330.2.31.80/3030.2.31.81 to 30.2.31.8230.2.31.832
21430.2.31.84/3030.2.31.85 to 30.2.31.8630.2.31.872
21530.2.31.88/3030.2.31.89 to 30.2.31.9030.2.31.912
21630.2.31.92/3030.2.31.93 to 30.2.31.9430.2.31.952
21730.2.31.96/3030.2.31.97 to 30.2.31.9830.2.31.992
21830.2.31.100/3030.2.31.101 to 30.2.31.10230.2.31.1032
21930.2.31.104/3030.2.31.105 to 30.2.31.10630.2.31.1072
22030.2.31.108/3030.2.31.109 to 30.2.31.11030.2.31.1112
22130.2.31.112/3030.2.31.113 to 30.2.31.11430.2.31.1152
22230.2.31.116/3030.2.31.117 to 30.2.31.11830.2.31.1192
22330.2.31.120/3030.2.31.121 to 30.2.31.12230.2.31.1232
22430.2.31.124/3030.2.31.125 to 30.2.31.12630.2.31.1272
22530.2.31.128/3030.2.31.129 to 30.2.31.13030.2.31.1312
22630.2.31.132/3030.2.31.133 to 30.2.31.13430.2.31.1352
22730.2.31.136/3030.2.31.137 to 30.2.31.13830.2.31.1392
22830.2.31.140/3030.2.31.141 to 30.2.31.14230.2.31.1432
22930.2.31.144/3030.2.31.145 to 30.2.31.14630.2.31.1472
23030.2.31.148/3030.2.31.149 to 30.2.31.15030.2.31.1512
23130.2.31.152/3030.2.31.153 to 30.2.31.15430.2.31.1552
23230.2.31.156/3030.2.31.157 to 30.2.31.15830.2.31.1592
23330.2.31.160/3030.2.31.161 to 30.2.31.16230.2.31.1632
23430.2.31.164/3030.2.31.165 to 30.2.31.16630.2.31.1672
23530.2.31.168/3030.2.31.169 to 30.2.31.17030.2.31.1712
23630.2.31.172/3030.2.31.173 to 30.2.31.17430.2.31.1752
23730.2.31.176/3030.2.31.177 to 30.2.31.17830.2.31.1792
23830.2.31.180/3030.2.31.181 to 30.2.31.18230.2.31.1832
23930.2.31.184/3030.2.31.185 to 30.2.31.18630.2.31.1872
24030.2.31.188/3030.2.31.189 to 30.2.31.19030.2.31.1912
24130.2.31.192/3030.2.31.193 to 30.2.31.19430.2.31.1952
24230.2.31.196/3030.2.31.197 to 30.2.31.19830.2.31.1992
24330.2.31.200/3030.2.31.201 to 30.2.31.20230.2.31.2032
24430.2.31.204/3030.2.31.205 to 30.2.31.20630.2.31.2072
24530.2.31.208/3030.2.31.209 to 30.2.31.21030.2.31.2112
24630.2.31.212/3030.2.31.213 to 30.2.31.21430.2.31.2152
24730.2.31.216/3030.2.31.217 to 30.2.31.21830.2.31.2192
24830.2.31.220/3030.2.31.221 to 30.2.31.22230.2.31.2232
24930.2.31.224/3030.2.31.225 to 30.2.31.22630.2.31.2272
25030.2.31.228/3030.2.31.229 to 30.2.31.23030.2.31.2312
25130.2.31.232/3030.2.31.233 to 30.2.31.23430.2.31.2352
25230.2.31.236/3030.2.31.237 to 30.2.31.23830.2.31.2392
25330.2.31.240/3030.2.31.241 to 30.2.31.24230.2.31.2432
25430.2.31.244/3030.2.31.245 to 30.2.31.24630.2.31.2472
25530.2.31.248/3030.2.31.249 to 30.2.31.25030.2.31.2512
25630.2.31.252/3030.2.31.253 to 30.2.31.25430.2.31.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses